package com.muyu.service.impl;

import com.muyu.common.Result;
import com.muyu.service.LoadCenterService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import static com.muyu.utils.ECSTool.runEcsInstance;

/**
 * @ClassName LoadCenterServiceImpl
 * @Description 描述
 * @Author YunFei.Du
 * @Date 2024/5/27 22:36
 */
@Service
@Log4j2
public class LoadCenterServiceImpl implements LoadCenterService {
    @Override
    public Result getDescribeInstances() {
        try {
            runEcsInstance("cn-zhangjiakou", "lt-8vbepqjihmawbkqcwkcm");
            return Result.success ();
        } catch (Exception e) {
            log.error ( "getDescribeInstances error:{}", e );
            throw new RuntimeException ( e );
        }
    }
}
