package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @ClassName ServerNode
 * @Description 描述
 * @Author YunFei.Du
 * @Date 2024/5/27 11:36
 */
@Data
@AllArgsConstructor
public class ServerNode {
    /**
     * ip地址
     */
    private String ip;
    /**
     * 端口号
     */
    private Integer port;
    /**
     * 服务器的负载百分比
     */
    private Double loadPercentage;
}
